"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
function circularMask(layer, name, keepSource) {
    if ((!(layer instanceof internal_1.Layer)) && (!(layer instanceof internal_1.ShapeLayer)))
        throw new Error("A circular mask can't be created with this layer");
    layer._debug("Adding circular mask");
    const clippingMask = internal_1.createClippingMask({
        name,
        mask: internal_1.createEllipse({
            name: "circleMask",
            shape: {
                width: layer.width,
                height: layer.height,
                fill: "#ffffff"
            },
            left: layer.left,
            top: layer.top
        }),
        source: layer
    });
    if (layer.document)
        layer.document.addLayer(clippingMask, layer.position + 1);
    if ((!keepSource) && (layer.document))
        layer.remove();
    return clippingMask;
}
exports.default = circularMask;
