/// <reference types="node" />
import { BaseLayer } from "../../internal";
export interface ExportMetadata {
    data: Buffer;
    width: number;
    height: number;
}
export declare type Format = "png" | "jpeg";
export declare type ExportTypes = "file" | "buffer";
export declare type PathOrWithMetadataOptions = string | boolean;
export declare type Output<ExportType, PathOrWithMetadata> = ExportType extends "file" ? undefined : (PathOrWithMetadata extends true ? ExportMetadata : Buffer);
export default function exportTo<ExportType extends ExportTypes, PathOrWithMetadata extends PathOrWithMetadataOptions = false>(baseLayer: BaseLayer, format: Format, exportType: ExportType, pathOrWithMetadata?: PathOrWithMetadata): Promise<Output<ExportType, PathOrWithMetadata>>;
