"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
async function rasterize(layer) {
    layer._debug("Rasterizing");
    const layerData = await layer.exportTo("png", "buffer");
    const newLayer = new internal_1.Layer({
        name: layer.name,
        left: layer.left,
        top: layer.top,
        position: layer.position,
        debugMode: layer.debugMode
    }, layer.document, layerData);
    await newLayer._initialize;
    if (layer.document)
        layer.remove();
    return newLayer;
}
exports.default = rasterize;
