"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
function resize(layer, width, height) {
    if ((!(layer instanceof internal_1.Layer)) && (!(layer instanceof internal_1.ShapeLayer)))
        throw new Error("This layer can't be resized");
    const originalWidth = layer.width;
    const originalHeight = layer.height;
    if (width) {
        layer.width = width;
        if (height === undefined) {
            const heightScale = originalHeight / originalWidth;
            layer.height = Math.round(layer.width * heightScale);
        }
    }
    if (height) {
        layer.height = height;
        if (width === undefined) {
            const widthScale = originalWidth / originalHeight;
            layer.width = Math.round(layer.height * widthScale);
        }
    }
    layer._edits.push({
        type: "resize",
        width: layer.width,
        height: layer.height
    });
    layer._debug(`Resizing to ${layer.width}px (width) by ${layer.height}px (height)`);
    return layer;
}
exports.default = resize;
