"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
function resizeBy(layer, width, height, scale) {
    if ((!(layer instanceof internal_1.Layer)) && (!(layer instanceof internal_1.ShapeLayer)))
        throw new Error("This layer can't be resized");
    const units = scale ? "%" : "px";
    layer._debug(`Resizing by ${width}${units} (width) by ${height}${units} (height)`);
    layer.resize(width && (scale ?
        layer.width * (width / 100) :
        layer.width + width), height && (scale ?
        layer.height * (height / 100) :
        layer.height + height));
    return layer;
}
exports.default = resizeBy;
