"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
function rotate(layer, degrees) {
    if ((!(layer instanceof internal_1.Layer)) && (!(layer instanceof internal_1.ShapeLayer)))
        throw new Error("This layer can't be rotated");
    layer._debug(`Rotating by ${degrees} degrees`);
    let width = layer.width;
    let height = layer.height;
    const rotatedAngle = degrees * (Math.PI / 180);
    layer.width = Math.round(Math.abs(width * Math.cos(rotatedAngle)) + Math.abs(height * Math.sin(rotatedAngle)));
    layer.height = Math.round(Math.abs(width * Math.sin(rotatedAngle)) + Math.abs(height * Math.cos(rotatedAngle)));
    layer._edits.push({
        type: "rotate",
        degrees
    });
    return layer;
}
exports.default = rotate;
