"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function setBlendMode(layer, blendMode) {
    if (!blendMode)
        blendMode = "normal";
    layer._debug(`Setting blend mode to ${blendMode}`);
    if (!["normal", "darken", "multiply", "colorBurn", "lighten", "screen", "colorDodge", "linearDodge", "overlay", "softLight", "hardLight", "difference", "exclusion"].includes(blendMode))
        throw new Error("Invalid blend mode");
    layer.blendMode = blendMode;
    return layer;
}
exports.default = setBlendMode;
