"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sharp_1 = __importDefault(require("sharp"));
async function toBuffer(clippingMask) {
    const mask = await clippingMask.mask.exportTo("png", "buffer", true);
    const source = await clippingMask.source.exportTo("png", "buffer", true);
    const buffer = await sharp_1.default({
        create: {
            width: Math.max(clippingMask.mask.left + mask.width, clippingMask.source.left + source.width),
            height: Math.max(clippingMask.mask.top + mask.height, clippingMask.source.top + source.height),
            channels: 4,
            background: { r: 0, g: 0, b: 0, alpha: 0 }
        }
    })
        .composite([
        {
            input: mask.data,
            left: clippingMask.mask.left,
            top: clippingMask.mask.top
        },
        {
            input: source.data,
            left: clippingMask.source.left,
            top: clippingMask.source.top,
            blend: "in"
        }
    ])
        .toFormat("png")
        .toBuffer();
    return buffer;
}
exports.default = toBuffer;
