"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
async function exportTo(document, format, exportType, pathOrWithMetadata) {
    if (!["png", "jpeg"].includes(format))
        throw new Error("Invalid format");
    if (!["file", "buffer"].includes(exportType))
        throw new Error("Invalid export type");
    document._debug(`Exporting as ${exportType}${exportType === "file" ? ` to ${pathOrWithMetadata}` : ""}`);
    const mergedLayer = await document.mergeLayers("merged", undefined, true);
    const exported = await mergedLayer.exportTo(format, exportType, pathOrWithMetadata);
    mergedLayer.remove();
    return exported;
}
exports.default = exportTo;
