"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("../../color");
function ellipseSVG(ellipseShapeData) {
    const svgCode = `
        <svg viewBox="0 0 ${ellipseShapeData.width + (ellipseShapeData.strokeWidth || 0)} ${ellipseShapeData.height + (ellipseShapeData.strokeWidth || 0)}" xmlns="http://www.w3.org/2000/svg">
            <ellipse cx="${(ellipseShapeData.width / 2) + (ellipseShapeData.strokeWidth ? ellipseShapeData.strokeWidth / 2 : 0)}" cy="${(ellipseShapeData.height / 2) + (ellipseShapeData.strokeWidth ? ellipseShapeData.strokeWidth / 2 : 0)}" rx="${ellipseShapeData.width / 2}" ry="${ellipseShapeData.height / 2}"${ellipseShapeData.fill ? ` fill="${color_1.parseColor(ellipseShapeData.fill)}"` : ""}${ellipseShapeData.stroke ? ` stroke="${color_1.parseColor(ellipseShapeData.stroke)}"` : ""}${ellipseShapeData.strokeWidth ? ` stroke-width="${ellipseShapeData.strokeWidth}"` : ""} />
        </svg>
    `;
    return svgCode.trim();
}
exports.default = ellipseSVG;
