"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sharp_1 = __importDefault(require("sharp"));
const internal_1 = require("../../internal");
class Layer extends internal_1.BaseLayer {
    constructor(layerData, document, inputData) {
        super(layerData, document);
        if (layerData.file)
            inputData = layerData.file;
        else if (layerData.buffer)
            inputData = layerData.buffer;
        else if (layerData.svg?.trim().startsWith("<svg"))
            inputData = Buffer.from(layerData.svg);
        this._inputData = inputData;
        this._initialize = new Promise(async (resolve) => {
            if (!this._inputData)
                return resolve();
            const canvas = sharp_1.default(inputData);
            const metadata = await canvas.metadata();
            this.width = metadata.width || 0;
            this.height = metadata.height || 0;
            resolve();
        });
    }
}
exports.default = Layer;
