/// <reference types="node" />
import { Document, ShapeData, ShapeLayer, ShapeLayerData } from "../../internal";
export interface PolygonShapeData extends ShapeData {
    sides: number;
}
export interface PolygonData extends ShapeLayerData {
    shape: PolygonShapeData;
}
export default class Polygon extends ShapeLayer {
    sides: number;
    constructor(polygonData: PolygonData, document?: Document);
    setSides: (sides: number) => Polygon;
    static polygonSVG: (polygonShapeData: PolygonShapeData) => string;
    toSVG: () => string;
    static polygonBuffer: (polygonShapeData: PolygonShapeData) => Buffer;
    toBuffer: () => Buffer;
}
