"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
const polygonSVG_1 = __importDefault(require("./polygonSVG"));
const setSides_1 = __importDefault(require("./setSides"));
class Polygon extends internal_1.ShapeLayer {
    constructor(polygonData, document) {
        super(polygonData, document);
        this.setSides = (sides) => setSides_1.default(this, sides);
        this.toSVG = () => Polygon.polygonSVG(this);
        this.toBuffer = () => Polygon.polygonBuffer(this);
        this.sides = polygonData.shape.sides;
    }
}
exports.default = Polygon;
Polygon.polygonSVG = (polygonShapeData) => polygonSVG_1.default(polygonShapeData);
Polygon.polygonBuffer = (polygonShapeData) => {
    const svgCode = Polygon.polygonSVG(polygonShapeData);
    return Buffer.from(svgCode);
};
