import { Color } from "../../color";
import { BaseLayer, Document, EllipseData, PolygonData } from "../../internal";
export interface ShapeData {
    width: number;
    height: number;
    fill?: Color;
    stroke?: Color;
    strokeWidth?: number;
}
export interface ShapeLayerData {
    name: string;
    left?: number;
    top?: number;
    position?: number;
    debugMode?: boolean;
}
export default class ShapeLayer extends BaseLayer {
    width: number;
    height: number;
    fill?: string;
    stroke?: string;
    strokeWidth?: number;
    constructor(shapeLayerData: PolygonData | EllipseData, document?: Document);
    setWidth: (width: number) => ShapeLayer;
    setHeight: (height: number) => ShapeLayer;
    setFill: (fill?: string | number | import("../../color").RGBA | undefined) => ShapeLayer;
    setStroke: (stroke?: string | number | import("../../color").RGBA | undefined) => ShapeLayer;
    setStrokeWidth: (strokeWidth?: number | undefined) => ShapeLayer;
}
