"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("../../color");
const internal_1 = require("../../internal");
const setFill_1 = __importDefault(require("./setFill"));
const setHeight_1 = __importDefault(require("./setHeight"));
const setStroke_1 = __importDefault(require("./setStroke"));
const setStrokeWidth_1 = __importDefault(require("./setStrokeWidth"));
const setWidth_1 = __importDefault(require("./setWidth"));
class ShapeLayer extends internal_1.BaseLayer {
    constructor(shapeLayerData, document) {
        super(shapeLayerData, document);
        this.setWidth = (width) => setWidth_1.default(this, width);
        this.setHeight = (height) => setHeight_1.default(this, height);
        this.setFill = (fill) => setFill_1.default(this, fill);
        this.setStroke = (stroke) => setStroke_1.default(this, stroke);
        this.setStrokeWidth = (strokeWidth) => setStrokeWidth_1.default(this, strokeWidth);
        this.width = shapeLayerData.shape.width;
        this.height = shapeLayerData.shape.height;
        if (shapeLayerData.shape.fill)
            this.fill = color_1.parseColor(shapeLayerData.shape.fill);
        if (shapeLayerData.shape.stroke)
            this.stroke = color_1.parseColor(shapeLayerData.shape.stroke);
        this.strokeWidth = shapeLayerData.shape.strokeWidth;
    }
}
exports.default = ShapeLayer;
