"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_FONT_SIZE = void 0;
const color_1 = require("../../color");
const internal_1 = require("../../internal");
const setColor_1 = __importDefault(require("./setColor"));
const setFont_1 = __importDefault(require("./setFont"));
const setFontSize_1 = __importDefault(require("./setFontSize"));
const setFontWeight_1 = __importDefault(require("./setFontWeight"));
const setLineHeight_1 = __importDefault(require("./setLineHeight"));
const setMaxWidth_1 = __importDefault(require("./setMaxWidth"));
const setText_1 = __importDefault(require("./setText"));
const setTextAlign_1 = __importDefault(require("./setTextAlign"));
const textBuffer_1 = __importDefault(require("./textBuffer"));
exports.DEFAULT_FONT_SIZE = 24;
class TextLayer extends internal_1.BaseLayer {
    constructor(textLayerData, document) {
        super(textLayerData, document);
        this.setText = (text) => setText_1.default(this, text);
        this.setFont = (font) => setFont_1.default(this, font);
        this.setFontSize = (fontSize) => setFontSize_1.default(this, fontSize);
        this.setFontWeight = (fontWeight) => setFontWeight_1.default(this, fontWeight);
        this.setTextAlign = (textAlign) => setTextAlign_1.default(this, textAlign);
        this.setColor = (color) => setColor_1.default(this, color);
        this.setLineHeight = (lineHeight) => setLineHeight_1.default(this, lineHeight);
        this.setMaxWidth = (maxWidth) => setMaxWidth_1.default(this, maxWidth);
        this.toBuffer = () => TextLayer.textBuffer(this);
        this.text = textLayerData.text.text;
        this.font = textLayerData.text.font;
        this.fontSize = textLayerData.text.fontSize || exports.DEFAULT_FONT_SIZE;
        this.fontWeight = textLayerData.text.fontWeight;
        this.textAlign = textLayerData.text.textAlign || "left";
        this.color = color_1.parseColor(textLayerData.text.color || "#000000");
        this.lineHeight = textLayerData.text.lineHeight;
        this.maxWidth = textLayerData.text.maxWidth || document?.width || 400;
    }
}
exports.default = TextLayer;
TextLayer.textBuffer = (textData) => textBuffer_1.default(textData);
