"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const terminal_kit_1 = require("terminal-kit");
const internal_1 = require("./internal");
function debug(info, documentOrBaseLayer) {
    if ((!documentOrBaseLayer.debugMode) && ((!(documentOrBaseLayer instanceof internal_1.BaseLayer)) || (!documentOrBaseLayer.document?.debugMode)))
        return;
    terminal_kit_1.terminal.bold.brightYellow("[Illustra] ").magenta("[Debug] ");
    if (documentOrBaseLayer instanceof internal_1.Document)
        terminal_kit_1.terminal.cyan(`${documentOrBaseLayer.name}: `);
    else if (documentOrBaseLayer.document)
        terminal_kit_1.terminal.cyan(`${documentOrBaseLayer.document.name} (${documentOrBaseLayer.name}): `);
    else
        terminal_kit_1.terminal.cyan(`${documentOrBaseLayer.name} (Layer): `);
    terminal_kit_1.terminal(info, "\n");
}
exports.default = debug;
